package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 乐团缴费日历
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("music_group_payment_calender")
public class MusicGroupPaymentCalender extends Model<MusicGroupPaymentCalender> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    @TableField("music_group_id_")
    private String musicGroupId;
    /**
     * 缴费月份
     */
    @TableField("payment_month_")
    private Integer paymentMonth;
    /**
     * 开始缴费日期
     */
    @TableField("start_payment_date_")
    private Date startPaymentDate;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;


    public Long getId() {
        return id;
    }

    public MusicGroupPaymentCalender setId(Long id) {
        this.id = id;
        return this;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public MusicGroupPaymentCalender setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
        return this;
    }

    public Integer getPaymentMonth() {
        return paymentMonth;
    }

    public MusicGroupPaymentCalender setPaymentMonth(Integer paymentMonth) {
        this.paymentMonth = paymentMonth;
        return this;
    }

    public Date getStartPaymentDate() {
        return startPaymentDate;
    }

    public MusicGroupPaymentCalender setStartPaymentDate(Date startPaymentDate) {
        this.startPaymentDate = startPaymentDate;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public MusicGroupPaymentCalender setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public MusicGroupPaymentCalender setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "MusicGroupPaymentCalender{" +
        ", id=" + id +
        ", musicGroupId=" + musicGroupId +
        ", paymentMonth=" + paymentMonth +
        ", startPaymentDate=" + startPaymentDate +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        "}";
    }
}
